CheckBox控件（轻量）

无窗口CheckBox 控件是 Visual Basic固有的CheckBox 控件的一个轻量版本。CheckBox 控件可以显示下面 3 个值中的一个：选中、未选中和灰色(不确定)。

语法

WLCheck

说明

轻量控件的显著特性在于它少一个 hWnd 属性。如果应用程序不使用需要 hWnd的 APIs，那么这个控件的轻量版本就可以节约计算机的资源，并且使您可以创建能够快速装入的应用程序。

轻量控件不支持动态数据交换(DDE)，除此之外，轻量控件与标准版本的功能相同。

发行注意 本控件是包含在MSWLess.ocx 中的一组 ActiveX 控件的一部分。要在应用程序中使用这个控件，必须在工程中加入 MSWLess.ocx 文件。当发布您的应用程序时，要安装 MSWLess.ocx 文件到用户的 Microsoft Windows System 或 System32 目录中。关于如何将 ActiveX 控件添加到 Visual Basic工程中的详细信息，请参阅 "Standard ActiveX Controls."

注意 本控件支持Unicode。当在诸如 Microsoft Windows NT这样的支持Unicode的系统中使用时，本控件对于Unicode数据不加转换，但如果是在其他的系统中，数据将从 ANSI 形式转换成Unicode并转换回来。详细信息，请参阅Programmer's Guide中 的 "ANSI, DBCS, and Unicode: Definitions" 部分。


ComboBox控件（轻量）

无窗口ComboBox 控件是 Visual Basic固有的 ComboBox 控件的一个轻量版本。ComboBox 控件结合了 TextBox 和 ListBox 控件的特性。用户可以在控件的文本框部分输入信息或在列表框部分选择项目。

语法

WLCombo

说明

轻量控件的显著特性在于它少一个hWnd 属性。如果应用程序不使用需要 hWnd 属性的 APIs，那么这个控件的轻量版本就可以节约计算机的资源，并且使您可以创建能够快速装入的应用程序。

轻量控件不支持动态数据交换(DDE)，除此之外，轻量控件与标准版本功能相同。

发行注意 本控件是包含在MSWLess.ocx 中的一组 ActiveX 控件的一部分。要在应用程序中使用这个控件，必须在工程中加入 MSWLess.ocx 文件。当发布您的应用程序时，要安装 MSWLess.ocx 文件到用户的 Microsoft Windows System 或 System32 目录中。关于如何将 ActiveX 控件添加到 Visual Basic工程中的详细信息，请参阅 "Standard ActiveX Controls."

注意 本控件支持Unicode。当在诸如Microsoft Windows NT这样的支持Unicode的系统中使用时，本控件对于 Unicode 数据不加转换，但如果是在其他的系统中，数据将从 ANSI 形式转换成Unicode并转换回来。详细信息，请参阅Programmer's Guide 中的 "ANSI, DBCS, and Unicode: Definitions" 部分。


CommandButton控件（轻量）

无窗口 CommandButton 控件是 Visual Basic固有的 CommandButton 控件的一个轻量版本。使用 CommandButton 控件可以启动、中断或结束一个进程。

语法

WLCommand

说明

轻量控件的显著特性在于它少一个hWnd 属性。如果应用程序不使用需要hWnd 属性的 APIs，那么这个控件的轻量版本就可以节约计算机的资源，并且使您可以创建能够快速装入的应用程序。

轻量控件不支持动态数据交换(DDE)，除此之外，轻量控件与标准版本功能相同。

发行注意 本控件是包含在MSWLess.ocx 中的一组 ActiveX 控件的一部分。要在应用程序中使用这个控件，您必须在工程中加入 MSWLess.ocx 文件。当发布您的应用程序时，要安装 MSWLess.ocx 文件到用户的 Microsoft Windows System 或 System32 目录中。关于如何将 ActiveX 控件添加到 Visual Basic工程中的详细信息，请参阅 "Standard ActiveX Controls."

注意 本控件支持Unicode。当在诸如 Microsoft Windows NT这样的支持Unicode的系统中使用时，本控件对于 Unicode 数据不加转换，但如果是在其他的系统中，数据将从 ANSI 形式转换成Unicode并转换回来。详细信息，请参阅Programmer's Guide 中的 "ANSI, DBCS, and Unicode: Definitions" 部分。


Frame 控件（轻量）

无窗口Frame控件是 Visual Basic固有的 Frame 控件的一个轻量版本。

重点 不象固有的 Frame 控件，轻量 Frame 控件不是一个真正的容器。它的功能是仅仅作为其他轻量控件的可视容器。要分组轻量OptionButton控件，可以使用 Group 属性。

语法

WLFrame

说明

轻量控件的显著特性在于它少一个 hWnd 属性。如果应用程序不使用需要hWnd 属性的 APIs，那么这个控件的轻量版本就可以节约计算机的资源，并且使您可以创建能够快速装入的应用程序。

轻量控件不支持动态数据交换(DDE)，(轻量 Frame 控件也不能包含其他的控件，而对应的固有控件是可以的)。除此之外，轻量控件与标准版本功能相同。

发行注意 本控件是包含在MSWLess.ocx 中的一组 ActiveX 控件的一部分。要在您的应用程序中使用这个控件，必须在工程中加入 MSWLess.ocx 文件。当发布您的应用程序时，要安装 MSWLess.ocx 文件到用户的 Microsoft Windows System 或 System32 目录中。关于如何将 ActiveX 控件添加到 Visual Basic工程中的详细信息，请参阅 "Standard ActiveX Controls."

注意 本控件支持Unicode。当在诸如 Microsoft Windows NT这样的支持Unicode的系统中使用时，本控件对于 Unicode 数据不加转换，但如果是在其他的系统中，数据将从 ANSI 形式转换成 Unicode并转换回来。详细信息，请参阅Programmer's Guide 中的 "ANSI, DBCS, and Unicode: Definitions" 部分。


HScrollBar, VScrollBar 控件（轻量）

无窗口HScrollBar 和 VScrollBar 控件是 Visual Basic固有的 HScrollBar 和 VScrollBar 控件的一个轻量版本。

语法

WLHScroll

WLVScroll

说明

轻量控件的显著特性在于它少一个 hWnd 属性。如果应用程序不使用需要 hWnd 属性的 APIs，那么这个控件的轻量版本就可以节约计算机的资源，并且使您可以创建能够快速装入的应用程序。

轻量控件不支持动态数据交换(DDE)，除此之外，轻量控件与标准版本功能相同。

发行注意 本控件是包含在MSWLess.ocx 中的一组 ActiveX 控件的一部分。要在您的应用程序中使用这个控件，必须在工程中加入 MSWLess.ocx 文件。当发布您的应用程序时，要安装 MSWLess.ocx 文件到用户的 Microsoft Windows System 或 System32 目录中。关于如何将 ActiveX 控件添加到 Visual Basic project 中的详细信息，请参阅 "Standard ActiveX Controls."

注意 本控件支持Unicode。当在诸如 Microsoft Windows NT这样的支持Unicode的系统中使用时，本控件对于 Unicode 数据不加转换，但如果是在其他的系统中，数据将从 ANSI 形式转换成 Unicode并转换回来。详细信息，请参阅Programmer's Guide 中的 "ANSI, DBCS, and Unicode: Definitions" 部分。


ListBox 控件（轻量）

无窗口 ListBox 控件是 Visual Basic固有的 ListBox 控件的一个轻量版本。ListBox 控件显示一个项目列表，用户可以从中单选或多选 。如果项目数超过了所能显示的数量，ListBox 控件会自动加入一个滚动条。

语法

WLList

说明

轻量控件的显著特性在于它少一个 hWnd 属性。如果应用程序不使用需要 hWnd 属性的 APIs，那么这个控件的轻量版本就可以节约计算机的资源，并且使您可以创建能够快速装入的应用程序。

轻量控件不支持动态数据交换(DDE)，除此之外，轻量控件与标准版本功能相同。

发行注意 本控件是包含在MSWLess.ocx 中的一组 ActiveX 控件的一部分。要在您的应用程序中使用这个控件，必须在工程中加入 MSWLess.ocx 文件。当发布您的应用程序时，要安装 MSWLess.ocx 文件到用户的 Microsoft Windows System 或 System32 目录中。关于如何将 ActiveX 控件添加到 Visual Basic project 中的详细信息，请参阅 "Standard ActiveX Controls."

注意 本控件支持Unicode。当在诸如 Microsoft Windows NT这样的支持Unicode的系统中使用时，本控件对于 Unicode 数据不加转换，但如果是在其他的系统中，数据将从 ANSI 形式转换成 Unicode并转换回来。详细信息，请参阅Programmer's Guide 中的 "ANSI, DBCS, and Unicode: Definitions" 部分。


OptionButton 控件（轻量）

无窗口OptionButton 控件是 Visual Basic固有的 OptionButton 控件的一个轻量版本。OptionButton 控件通常用来表示一个可以打开或关闭的选项。本控件多与 Frame 控件一起使用。

重点 因为轻量 Frame 控件不是一个真正的容器，所以您必须使用 Group 属性来创建一个逻辑 OptionButton 控件分组。

语法

WLOption

说明

轻量控件的显著特性在于它少一个 hWnd 属性。如果应用程序不使用需要 hWnd 属性的 APIs，那么这个控件的轻量版本就可以节约计算机的资源，并且使您可以创建能够快速装入的应用程序。

轻量控件不支持动态数据交换(DDE)，除了一个例外，在所有其它方面，轻量 OptionButton 控件与标准版本功能相同。这个例外是当控件使用 Group 属性创建相互独占的 OptionButton 控件分组时。详细信息，请参阅 "Group Property"

发行注意 本控件是包含在MSWLess.ocx 中的一组 ActiveX 控件的一部分。要在您的应用程序中使用这个控件，必须在工程中加入 MSWLess.ocx 文件。当发布您的应用程序时，要安装 MSWLess.ocx 文件到用户的 Microsoft Windows System 或 System32 目录中。关于如何将 ActiveX 控件添加到 Visual Basic工程中的详细信息，请参阅 "Standard ActiveX Controls."

注意 本控件支持Unicode。当在诸如 Microsoft Windows NT这样的支持 Unicode的系统中使用时，本控件对于 Unicode 数据不加转换，但如果是在其他的系统中，数据将从 ANSI 形式转换成 Unicode并转换回来。详细信息，请参阅Programmer's Guide 中的 "ANSI, DBCS, and Unicode: Definitions" 部分。


TextBox 控件（轻量）

无窗口TextBox 控件是 Visual Basic固有的 TextBox 控件的一个轻量版本。TextBox 控件有时称之为编辑域或编辑控件，能够显示在设计时输入的信息，或是在运行时赋予控件的代码。

语法

WLText

说明

轻量控件的显著特性在于它少一个 hWnd 属性。如果应用程序不使用需要 hWnd 属性的 APIs，那么这个控件的轻量版本就可以节约计算机的资源，并且使您可以创建能够快速装入的应用程序。

轻量控件不支持动态数据交换(DDE)，除此之外，轻量控件与标准版本功能相同。

发行注意 本控件是包含在MSWLess.ocx 中的一组 ActiveX 控件的一部分。要在您的应用程序中使用这个控件，必须在工程中加入 MSWLess.ocx 文件。当发布您的应用程序时，要安装 MSWLess.ocx 文件到用户的 Microsoft Windows System 或 System32 目录中。关于如何将 ActiveX 控件添加到 Visual Basic工程中的详细信息，请参阅 "Standard ActiveX Controls."

注意 本控件支持Unicode。当在诸如 Microsoft Windows NT这样的支持Unicode的系统中使用时，本控件对于 Unicode 数据不加转换，但如果是在其他的系统中，数据将从 ANSI 形式转换成 Unicode并转换回来。详细信息，请参阅Programmer's Guide 中的 "ANSI, DBCS, and Unicode: Definitions" 部分。


Topic Not Found

未找到该主题

未找到相匹配的主题。可能的原因和解决方法如下：

  • 包含目标主题的文件 (.chm) 没有位于指定的位置。

    解决方法：重新运行 MSDN Library的安装。

  • 包含当前主题或目标主题的文件 (.chm) 已经过时，并且链接不再有效。

    解决方法：安装最新版本的 MSDN Library。

  • MSDN Library CD 不在 CD-ROM 中。

    解决方法：将 MSDN Library CD 装入 CD-ROM 中。


Group 属性

返回或设置一个无窗口 OptionButton 控件的分组标志符。

语法

object.Group [ = string]

Group 属性的语法包括下面几部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的一个的对象。
String | 唯一的，用于标识 OptionButton 控件组成员的字符。

说明

本属性的标准用法是通过将一组 OptionButton 控件放在 Frame 控件中而达到分离它们的目的，原因在于Frame 控件是有窗口的(hwnd 属性)。然而，根据定义，轻量控件是没有窗口的。为了分离一组OptionButton 控件，应当将一组控件的Group属性设置为相同的唯一的字符串。


Group 属性示例

下面的示例创建了三组轻量 OptionButton 控件。要试验该示例，需首先在窗体中放置六个 OptionButton 控件，然后将代码粘贴到代码模块的 Declarations 部分，就可以启动工程了。

Option Explicit

Private Sub Form_Load()
   Dim i As Integer
   For i = 0 To 5
      Select Case i
         Case 0 To 1
            Me.Controls(i).Group = "Fish"
            Me.Controls(i).Caption = "Fish " & i
         Case 2 To 3
            Me.Controls(i).Group = "Fowl"
            Me.Controls(i).Caption = "Fowl " & i
         Case 4 To 5
            Me.Controls(i).Group = "Dinosaur"
            Me.Controls(i).Caption = "Dinosaur " & i
      End Select
   Next i
End Sub